<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class AsignacionMateriaDocente extends Model
{
    protected $table = "ins_asigdocmat";
    protected $primaryKey = 'cve_adocmat';
    protected $fillable = ['grupo_asig', 'catalum_asig', 'status_asig', 'id', 'cve_mat', 'id_car'];

    //Función - Es la relacion entre Asignación materia docente y Carrera
    public function carrera()
    {
        return $this->hasOne('App\Carrera', 'id', 'id');
    }

    //Función - Es la relacion entre Materia
    public function materia()
    {
        return $this->hasOne('App\Materia', 'cve_mat', 'cve_mat');
    }

    //Función - Es la relacion entre Materia
    public function docente()
    {
        return $this->belongsTo('App\Docente', 'id', 'id');
    }

    public function AsignacionHorario()
    {
        return $this->hasMany('App\AsignaciorHorario', 'cve_adocmat', 'cve_adocmat');
    }
}
